package com.ruoyi.project.patrol.patrol.service;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.patrol.patrol.domain.TPatrolPlan;

import java.util.List;

/**
 * 检查计划Service接口
 *
 * @author ruoyi
 * @date 2023-08-29
 */
public interface ITPatrolPlanService
{
    /**
     * 查询检查计划
     *
     * @param id 检查计划主键
     * @return 检查计划
     */
    public TPatrolPlan selectTPatrolPlanById(Long id);

    /**
     * 查询检查计划列表
     *
     * @param tPatrolPlan 检查计划
     * @return 检查计划集合
     */
    public List<TPatrolPlan> selectTPatrolPlanList(TPatrolPlan tPatrolPlan);

    /**
     * 新增检查计划
     *
     * @param tPatrolPlan 检查计划
     * @return 结果
     */
    public int insertTPatrolPlan(TPatrolPlan tPatrolPlan);
    public TPatrolPlan add(TPatrolPlan tPatrolPlan,String userId);

    /**
     * 修改检查计划
     *
     * @param tPatrolPlan 检查计划
     * @return 结果
     */
    public int updateTPatrolPlan(TPatrolPlan tPatrolPlan);

    /**
     * 批量删除检查计划
     *
     * @param ids 需要删除的检查计划主键集合
     * @return 结果
     */
    public int deleteTPatrolPlanByIds(Long[] ids);

    /**
     * 删除检查计划信息
     *
     * @param id 检查计划主键
     * @return 结果
     */
    public int deleteTPatrolPlanById(Long id);
}
